/**

 * 

 */





package gov.va.med.cds.socket.server.handler;





import gov.va.med.cds.exception.AbstractCdsBaseException;

import gov.va.med.cds.exception.ErrorCodeEnum;





/**

 * @author susarlan

 *

 * Execption class used by MllpMessageValidator

 * 

 */

public class AccessValidatorException

    extends

        AbstractCdsBaseException

{



    /**

     * 

     */

    private static final long serialVersionUID = -8672387779389376946L;





    /**

     * @param errorCode

     */

    public AccessValidatorException( ErrorCodeEnum errorCode )

    {

        super( errorCode );

    }





    /**

     * @param errorCode

     * @param cause

     */

    public AccessValidatorException( ErrorCodeEnum errorCode, Throwable cause )

    {

        super( errorCode, cause );

    }





    /**

     * @param errorCode

     * @param cause

     * @param customMsgValues

     */

    public AccessValidatorException( ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues )

    {

        super( errorCode, cause, customMsgValues );

    }





    public AccessValidatorException( ErrorCodeEnum errorCode, String... customMsgValues )

    {

        super( errorCode, customMsgValues );

    }



}

